Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
newsarchive.php File Reference

Go to the source code of this file.

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZNewsFeedMain", "Language" )
if(isset( $DeleteCategories) &&count( $CategoryArrayID) > 0) if(isset( $DeleteNews) &&count( $NewsArrayID) > 0) | $t
| $category = new eZNewsCategory( $CategoryID )
| $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category, true )
| $i =0
foreach( $categoryList as $categoryItem) if(count( $categoryList) > 0) | else
| $newsListCount = $category->newsListCount( "time", "only" )
| $locale = new eZLocale( $Language )
| $prevOffs = $Offset - $Limit
| $nextOffs = $Offset + $Limit

## Variable Documentation

## ◆ $category

$category = new eZNewsCategory( $CategoryID )

Definition at line 83 of file newsarchive.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category, true )

Definition at line 104 of file newsarchive.php.

## ◆ $i

$i =0

Definition at line 108 of file newsarchive.php.

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 34 of file newsarchive.php.

## ◆ $Language

$Language = $ini->variable( "eZNewsFeedMain", "Language" )

Definition at line 36 of file newsarchive.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 163 of file newsarchive.php.

## ◆ $newsListCount

$newsListCount = $category->newsListCount( "time", "only" )

Definition at line 160 of file newsarchive.php.

## ◆ $nextOffs

$nextOffs = $Offset + $Limit

Definition at line 219 of file newsarchive.php.

## ◆ $pathArray

$pathArray = $category->path()

Definition at line 92 of file newsarchive.php.

## ◆ $prevOffs

$prevOffs = $Offset - $Limit

Definition at line 218 of file newsarchive.php.

## ◆ $t

if (isset($DeleteCategories) &&count($CategoryArrayID) > 0) if (isset($DeleteNews) &&count($NewsArrayID) > 0) $t

Initial value:
= new eZTemplate( "kernel/eznewsfeed/admin/" . $ini->variable( "eZNewsFeedMain", "AdminTemplateDir" ),
"kernel/eznewsfeed/admin/intl/", $Language, "newsarchive.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: newsarchive.php:36
$ini
$ini
Definition: newsarchive.php:34

Definition at line 56 of file newsarchive.php.

## ◆ else

if ($nextOffs<=$newsListCount) else

Initial value:
{
$t->set_var( "category_list", "" )
$t
if(isset( $DeleteCategories) &&count( $CategoryArrayID) > 0) if(isset( $DeleteNews) &&count( $NewsArrayID) > 0) $t
Definition: newsarchive.php:56

Definition at line 139 of file newsarchive.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.